# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "pin"
version = "0.3.0"
authors = ["Michael Herstine <sp1ff@pobox.com>"]
build = false
exclude = [
    "*~",
    "Cargo.toml.in",
    "Cargo.toml.orig",
    "rusty-tags.emacs",
    "Makefile.am",
    "Makefile.in",
    "Makefile",
    "vars.rs.in",
    "linkedin.json",
    "linkedin-and-jira.json",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Pinboard (and Instapaper) client"
homepage = "https://github.com/sp1ff/pin"
readme = "README.md"
keywords = [
    "cli",
    "pinboard",
    "utility",
    "bookmarks",
]
categories = ["command-line-utilities"]
license = "GPL-3.0-or-later"
repository = "https://github.com/sp1ff/pin"

[features]
personal-link-tests = []

[lib]
name = "pin"
path = "src/lib.rs"

[[bin]]
name = "pin"
path = "src/main.rs"

[dependencies.async-trait]
version = "0.1.57"

[dependencies.bytes]
version = "1.2.1"

[dependencies.clap]
version = "3.2"

[dependencies.futures]
version = "0.3.23"

[dependencies.home]
version = "0.5.3"

[dependencies.indicatif]
version = "0.17.0"

[dependencies.itertools]
version = "0.10.3"

[dependencies.json]
version = "0.12.4"

[dependencies.pin-project]
version = "1.0.12"

[dependencies.reqwest]
version = "0.11"
features = ["json"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.85"

[dependencies.snafu]
version = "0.7.1"
features = ["backtraces"]

[dependencies.strfmt]
version = "0.1.6"

[dependencies.tokio]
version = "1"
features = [
    "macros",
    "rt",
]

[dependencies.toml]
version = "0.4"

[dependencies.tracing]
version = "0.1"
features = ["attributes"]

[dependencies.tracing-subscriber]
version = "0.3.11"
features = [
    "env-filter",
    "json",
]

[dependencies.tracing-tree]
version = "0.2.1"

[dependencies.unicode-segmentation]
version = "1.9.0"

[dependencies.url]
version = "2.2.2"

[dev-dependencies.env_logger]
version = "0.9.0"

[dev-dependencies.mockito]
version = "0.31.0"

[dev-dependencies.test-log]
version = "0.2.11"
features = ["trace"]

[dev-dependencies.tokio-test]
version = "0.4.2"
